namespace EnPalermo.Lit
{
	/// <summary>
	/// Contiene constantes de mensajes de error.
	/// </summary>
    public static class Errors
    {

        #region Publicos

        /// <summary>
        /// Error: La cadena no puede ser nula!
        /// </summary>
        public static readonly string NULL_STRING = "Error: La cadena no puede ser nula!";

        /// <summary>
        /// Error: El objeto no puede ser nulo!
        /// </summary>
        public static readonly string NULL_OBJECT = "Error: El objeto no puede ser nulo!";

        /// <summary>
        /// Error: El array o coleccin no puede ser nulo!
        /// </summary>
        public static readonly string NULL_ARRAY = "Error: El array o coleccin no puede ser nulo!";

        /// <summary>
        /// Error: La cadena no puede ser nula o vacia!
        /// </summary>
        public static readonly string STRING_EMPTY ="Error: La cadena no puede ser nula o vacia!";

        /// <summary>
        /// Error: Puntero nulo!
        /// </summary>
        public static readonly string NULL_POINTER = "Error: Puntero nulo!";

        /// <summary>
        /// No Determinado
        /// </summary>
        public static readonly string INDETERMINATE = "No Determinado";

        /// <summary>
        /// Error: El array o coleccin origen no tiene capacidad suficiente!
        /// </summary>
        public static readonly string ARRAY_SMALL_SOURCE="Error: El array o coleccin origen no tiene capacidad suficiente!";
        
        /// <summary>
        /// Error: El array o coleccin destino no tiene capacidad suficiente!
        /// </summary>
        public static readonly string ARRAY_SMALL_DEST="Error: El array o coleccin destino no tiene capacidad suficiente!";
        
        /// <summary>
        /// Error: El array o coleccin no puede ser null o vacio!
        /// </summary>
        public static readonly string ARRAY_EMPTY="Error: El array o coleccin no puede estar vacio!";
        
        /// <summary>
        /// Error: El valor debe ser mayor a 0!
        /// </summary>
        public static readonly string MINOR_ONE="Error: El valor debe ser mayor a 0!";
        
        /// <summary>
        /// Error: El valor debe ser mayor al largo!
        /// </summary>
        public static readonly string NO_MAJOR_LENGTH="Error: El valor debe ser mayor al largo!";
        
        /// <summary>
        /// Error: El valor debe ser mayor a 0 o igual a -1!
        /// </summary>
        public static readonly string MINOR_ONE_NO_ONE_NEG="Error: El valor debe ser mayor a 0 o igual a -1!";
        
        /// <summary>
        /// Error: El valor no puede ser negativo!
        /// </summary>
        public static readonly string NEGATIVE="Error: El valor no puede ser negativo!";
        
        /// <summary>
        /// Error: El valor debe ser igual o mayor a -1!
        /// </summary>
        public static readonly string MINOR_ONE_NEGATIVE = "Error: El valor debe ser igual o mayor a -1!";
        
        /// <summary>
        /// Error: El valor no puede ser negativo ni superar los limites del array o coleccin!
        /// </summary>
        public static readonly string NEGATIVE_OR_SUPERIOR_ARRAY="Error: El valor no puede ser negativo ni superar los limites del array o coleccin!";
        
        /// <summary>
        /// Error critico: Esta librera no puede ejecutarse en este entorno de plataforma!
        /// </summary>
        public static readonly string NO_PLATFORM = "Error critico: Esta librera no puede ejecutarse en este entorno de plataforma!";
        
        /// <summary>
        /// Error: El valor no puede superar los limites del array o coleccin!
        /// </summary>
        public static readonly string SUPERIOR_ARRAY="Error: El valor no puede superar los limites del array o coleccin!";
        
        /// <summary>
        /// Error: El destino es menor al origen!
        /// </summary>
        public static readonly string DEST_MINOR = "Error: El destino es menor al origen!";
        
        /// <summary>
        /// Error: Parmetro invlido!
        /// </summary>
        public static readonly string INVALID_PARAMETER="Error: Parmetro invlido!";
        
        /// <summary>
        /// Error: La combinacin de opciones es incorrecta!
        /// </summary>
        public static readonly string INVALID_COMBINATION="Error: La combinacin de opciones es incorrecta!";
        
        /// <summary>
        /// Error inesperado!
        /// </summary>
        public static readonly string UNEXPECTED="Error inesperado!";
        
        /// <summary>
        /// Error: Los punteros origen y destino no pueden ser iguales!
        /// </summary>
        public static readonly string SIMILAR_POINTERS="Error: Los punteros origen y destino no pueden ser iguales!";
        
        /// <summary>
        /// Error: mnimo no puede ser mayor que el mximo!
        /// </summary>
        public static readonly string MIN_MAJOR_MAX = "Error: El mnimo no puede ser mayor que el mximo!";
        
        /// <summary>
        /// Error: El formato de la cadena de entrada es invlido!
        /// </summary>
        public static readonly string BAD_FORMAT="Error: El formato de la cadena de entrada es invlido!";
        
        /// <summary>
        /// Error: El tamao del stream es demasiado grande!
        /// </summary>
        public static readonly string BIG_STREAM="Error: El tamao del stream es demasiado grande!";
        
        /// <summary>
        /// Error: El tamao del array es demasiado grande!
        /// </summary>
        public static readonly string BIG_ARRAY="Error: El tamao del array es demasiado grande!";
        
        /// <summary>
        /// Error: El valor del parmetro es demasiado grande!
        /// </summary>
        public static readonly string BIG_VALUE="Error: El valor del parmetro es demasiado grande!";

        /// <summary>
        /// Error critico: Fallo de asignacin de memoria! Solicitud: {0} bytes!
        /// </summary>
        public static readonly string STR_FORMAT_OUT_OF_MEMORY="Error critico: Fallo de asignacin de memoria! Solicitud: {0} bytes!";
        
        /// <summary>
        /// Error: La pgina de cdigos especificada no es soportada en este sistema! Pgina de cdigos: {0}.
        /// </summary>
        public static readonly string STR_FORMAT_CODEPAGE_UNSUPPORTED="Error: La pgina de cdigos especificada no es soportada en este sistema! Pgina de cdigos: {0}.";

        /// <summary>
        /// Error de validacin
        /// </summary>
        public static readonly string ERROR_VALIDATION="Error de validacin...";


        /// <summary>
        /// Error Critico: Ocurri un error interno en la aplicacin. Avise al proveedor!
        /// </summary>
        public static readonly string INTERNAL_ERROR="Error Critico: Ocurri un error interno en la aplicacin. Avise al proveedor!";

        /// <summary>
        /// Error: Elemento de enumeracin inexistente o combinacin de flags invlida!
        /// </summary>
        public static readonly string INVALID_ENUM="Error: Elemento de enumeracin inexistente o combinacin de flags invlida!";


        #endregion

        #region MemInfo

        /// <summary>
        /// Error critico: No se puede relevar informacin de la memoria!
        /// </summary>
        internal static readonly string MEMINFO_API = "Error critico: No se puede relevar informacin de la memoria!";
        
        #endregion

        #region Heap

        /// <summary>
        /// Error critico: ProcHeap es 0!!
        /// </summary>
        internal static readonly string PROCHEAP_ZERO = "Error critico: ProcHeap es 0!!";
        
        /// <summary>
        /// Error critico al intentar compactar el Heap ({0})!
        /// </summary>
        internal static readonly string STR_FORMAT_HEAP_COMPACT = "Error critico al intentar compactar el Heap ({0})!"; 
        
        #endregion

        #region Mutables

        /// <summary>
        /// Error critico de compatibilidad al incializar funciones de texto: 
        /// </summary>
        internal static readonly string ERROR_MUTABLES= "Error critico de compatibilidad al incializar funciones de texto: ";
        
        #endregion

        #region Mem
        
        /// <summary>
        /// Error: En este contexto pc no puede ser igual a pd!
        /// </summary>
        internal static readonly string PC_EQUAL_PD = "Error: En este contexto pc no puede ser igual a pd!";
        
        /// <summary>
        /// Error: ReplaceMinor requiere que lr sea menor a lf!
        /// </summary>
        internal static readonly string LR_NO_MINOR_LF = "Error: ReplaceMinor requiere que lr sea menor a lf!";
        
        #endregion

        #region Crypto
        
        /// <summary>
        /// Error: El algoritmo especificado no es soportado para checksum!
        /// </summary>
        internal static readonly string CRYPTO_UNSUPPORTED = "Error: El algoritmo especificado no es soportado para checksum!";

        /// <summary>
        /// Error: El mtodo no puede ser completado por razones de seguridad!
        /// </summary>
        internal static readonly string CRYPTO_SECURITY_EXCEPTION = "Error: El mtodo no puede ser completado por razones de seguridad!";
        
        #endregion

        #region Time

        /// <summary>
        /// Error: Hora invlida!
        /// </summary>
        internal static readonly string INVALID_TIME = "Error: Hora invlida!";
        
        #endregion

        #region CSV
        
        /// <summary>
        /// Error: Alguno de los parmetros sep, iCom, fCom y repCrLf no esta correctamente especificado!
        /// </summary>
        internal static readonly string CSV_ITEMS= "Error: Alguno de los parmetros sep, iCom, fCom y repCrLf no esta correctamente especificado!";

        #endregion

        #region Strings

        /// <summary>
        /// Error: La cadena a combinar no puede tener mas de 30 carcteres!
        /// </summary>
        internal static readonly string MIXSTRING_MAJOR_30 = "Error: La cadena a combinar no puede tener mas de 30 carcteres!";
        
        #endregion

        #region Col y SB

        /// <summary>
        /// Esta funcin no puede ser utilizada cuando la codificacin es multibyte!
        /// </summary>
        internal static readonly string COL_CP_MB="Esta funcin no puede ser utilizada cuando la codificacin es multibyte!";

        /// <summary>
        /// El parmetro wrap debe ser 0 o mayor a 7!
        /// </summary>
        internal static readonly string COL_WRAP="El parmetro wrap debe ser 0 o mayor a 7!";
        
        /// <summary>
        /// El cdigo de pgina de los bytes a agregar es incompatible con el especificado actualmente!
        /// </summary>
        internal static readonly string COL_CP_INCOMP="El cdigo de pgina de los bytes a agregar es incompatible con el especificado actualmente!";
        
        /// <summary>
        /// Error: La cadena de formato es invlida!
        /// </summary>
        internal static readonly string COL_FMT_INV="Error: La cadena de formato es invlida!";

        /// <summary>
        /// Error: En la cadena de formato hay una etiqueta con un ndice fuera de rango!
        /// </summary>
        internal static readonly string COL_FMT_RANGE="Error: En la cadena de formato hay una etiqueta con un ndice fuera de rango!";

        #endregion

        #region CodePage
        
        /// <summary>
        /// Error: El caracter no es convertible a Unicode!
        /// </summary>
        internal static readonly string CP_NO_UNI_TRANS = "Error: El caracter no es convertible a Unicode!";

        /// <summary>
        /// Error: La pgina de cdigos Ansi Latn 1 no es soportada en este sistema!
        /// </summary>
        internal static readonly string CP_L1_UNSUPPORTED="Error: La pgina de cdigos Ansi Latn 1 no es soportada en este sistema!";

        /// <summary>
        /// Error: La pgina de cdigos especificada no es soportada en este sistema! Pgina de cdigos: {0}.
        /// </summary>
        internal static readonly string FMT_CP_UNSUPPORTED="Error: La pgina de cdigos especificada no es soportada en este sistema! Pgina de cdigos: {0}.";

        /// <summary>
        /// Error: La pgina de cdigos especificada no es soportada en este sistema! Pgina de cdigos: {0}.
        /// </summary>
        internal static readonly string FMT_CP_RANGE="Error: Este valor de pgina de cdigos no se encuentra en el rango de 0 a 65535! Pgina de cdigos: {0}.";

        /// <summary>
        /// Error: MaxChars no puede ser mayor a ld!
        /// </summary>
        internal static readonly string CP_MAXCHARS_MAJOR_LD="Error: MaxChars no puede ser mayor a ld!";
        
        #endregion
 
        #region Serializer
        
       
        /// <summary>
        /// Error: Cuando el array es null, indexArr debe ser cero!
        /// </summary>
        internal static readonly string SER_STREAM_INDEXARR="Error: Cuando el array es null, indexArr debe ser cero!";

        /// <summary>
        /// Error: La direccin del puntero coincide con la del array en un escenario donde el array no tiene suficiente capacidad!
        /// </summary>
        internal static readonly string SER_STREAM_P_EQUAL_ARRAY="Error: La direccin del puntero coincide con la del array en un escenario donde el array no tiene suficiente capacidad!";

        #endregion

        #region Registry

        /// <summary>
        /// Error: El nombre de la clave es invlido!
        /// </summary>
        internal static readonly string INVALID_KEY= "Error: El nombre de la clave es invlido!";

        #endregion

        
 
    }
}
