using System;

namespace EnPalermo.Lit
{
    /// <summary>
    /// Constantes y listas para uso Regional.
    /// </summary>
    public static class Regions
    {

        /// <summary>
        /// Pases (cdigos).
        /// </summary>
        public static readonly string[] CountryCodes;


        /// <summary>
        /// Pases (nombres).
        /// </summary>
        public static readonly string[] CountryNames;


        /// <summary>
        /// Sufijos Internet Genricos (cdigos).
        /// </summary>
        public static readonly string[] GenericCodes;

        /// <summary>
        /// Sufijos Internet Genricos (nombres).
        /// </summary>
        public static readonly string[] GenericNames;
	

        static Regions()
        {
            CountryCodes = new string[] { 
                                                Others.Empty, "ap", "eu", "ad", "ae", "af", "ag", "ai", "al", "am", "an", "ao", "aq", "ar", "as", "at", 
                                                "au", "aw", "az", "ba", "bb", "bd", "be", "bf", "bg", "bh", "bi", "bj", "bm", "bn", "bo", "br", 
                                                "bs", "bt", "bv", "bw", "by", "bz", "ca", "cc", "cd", "cf", "cg", "ch", "ci", "ck", "cl", "cm", 
                                                "cn", "co", "cr", "cu", "cv", "cx", "cy", "cz", "de", "dj", "dk", "dm", "do", "dz", "ec", "ee", 
                                                "eg", "eh", "er", "es", "et", "fi", "fj", "fk", "fm", "fo", "fr", "fr", "ga", "uk", "gd", "ge", 
                                                "gf", "gh", "gi", "gl", "gm", "gn", "gp", "gq", "gr", "gs", "gt", "gu", "gw", "gy", "hk", "hm", 
                                                "hn", "hr", "ht", "hu", "id", "ie", "il", "in", "io", "iq", "ir", "is", "it", "jm", "jo", "jp", 
                                                "ke", "kg", "kh", "ki", "km", "kn", "kp", "kr", "kw", "ky", "kz", "la", "lb", "lc", "li", "lk", 
                                                "lr", "ls", "lt", "lu", "lv", "ly", "ma", "mc", "md", "mg", "mh", "mk", "ml", "mm", "mn", "mo", 
                                                "mp", "mq", "mr", "ms", "mt", "mu", "mv", "mw", "mx", "my", "mz", "na", "nc", "ne", "nf", "ng", 
                                                "ni", "nl", "no", "np", "nr", "nu", "nz", "om", "pa", "pe", "pf", "pg", "ph", "pk", "pl", "pm", 
                                                "pn", "pr", "ps", "pt", "pw", "py", "qa", "re", "ro", "rs", "ru", "rw", "sa", "sb", "sc", "sd", "se", 
                                                "sg", "sh", "si", "sj", "sk", "sl", "sm", "sn", "so", "sr", "st", "me", "sv", "sy", "sz", "tc", "td", 
                                                "tf", "tg", "th", "tj", "tk", "tm", "tn", "to", "tp", "tr", "tt", "tv", "tw", "tz", "ua", "ug", 
                                                "um", "us", "uy", "uz", "va", "vc", "ve", "vg", "vi", "vn", "vu", "wf", "ws", "ye", "yt", "yu", 
                                                "za", "zm", "zr", "zw", "a1", "a2", Others.Empty, Others.Empty, Others.Empty, "gb", "ac", "gg", "im", "je"} ;

            CountryNames = new string[] { 
                                                Others.Empty, "Asia y Pac\x00edfico", "Europa", "Andorra", "Emiratos Arabes", "Afganist\x00e1n", "Antigua y Barbuda", "Anguilla", "Albania", "Armenia", "Antillas Holandesas", "Angola", "Antartida", "Argentina", "Samoa Americana", "Austria", 
                                                "Australia", "Aruba", "Azerbaiy\x00e1n", "Bosnia y Herzegovina", "Barbados", "Bangladesh", "B\x00e9lgica", "Burkina Faso", "Bulgaria", "Bahrein", "Burundi", "Benin", "Bermudas", "Brunei", "Bolivia", "Brasil", 
                                                "Bahamas", "But\x00e1n", "Isla Bouvet", "Botsuana", "Bielorrusia", "Belice", "Canad\x00e1", "Islas Cocos", "Rep\x00fablica D. del Congo", "Rep\x00fablica Centroafricana", "Congo", "Suiza", "Costa de Marfil", "Islas Cook", "Chile", "Camer\x00fan", 
                                                "China", "Colombia", "Costa Rica", "Cuba", "Cabo Verde", "Islas Christmas", "Chipre", "Rep\x00fablica Checa", "Alemania", "Djibouti", "Dinamarca", "Dominica", "Rep\x00fablica Dominicana", "Argelia", "Ecuador", "Estonia", 
                                                "Egipto", "Sahara Occidental", "Eritrea", "Espa\x00f1a", "Etiopia", "Finlandia", "Fiji", "Islas Malvinas", "Micronesia", "Islas Faroe", "Francia", "Francia Metropolitana", "Gab\x00f3n", "Reino Unido", "Granada", "Georgia", 
                                                "Guyana Francesa", "Ghana", "Gibraltar", "Groenlandia", "Gambia", "Guinea", "Guadalupe", "Guinea Ecuatorial", "Grecia", "Georgias y Sandwitch del Sur", "Guatemala", "Guam", "Guinea-Bissau", "Guyana", "Hong Kong", "Islas Heard y McDonald", 
                                                "Honduras", "Croacia", "Hait\x00ed", "Hungr\x00eda", "Indonesia", "Irlanda", "Israel", "India", "Indias Brit\x00e1nicas", "Irak", "Ir\x00e1n", "Islandia", "Italia", "Jamaica", "Jordania", "Jap\x00f3n", 
                                                "Kenia", "Kirguizt\x00e1n", "Camboya", "Kiribati", "Comores", "Saint Kitts y Nevis", "Rep\x00fablica D. de Corea", "Rep\x00fablica de Corea", "Kuwait", "Islas Caim\x00e1n", "Kazajst\x00e1n", "Laos", "Libano", "Santa Luc\x00eda", "Liechtenstein", "Sri Lanka", 
                                                "Liberia", "Lesoto", "Lituania", "Luxemburgo", "Letonia", "Libia", "Marruecos", "M\x00f3naco", "Moldavia", "Madagascar", "Islas Marshall", "Macedonia", "Mal\x00ed", "Myanmar", "Mongolia", "Macao", 
                                                "Marianas del Norte", "Martinica", "Mauritania", "Montserrat", "Malta", "Mauritius", "Maldivas", "Malawi", "M\x00e9xico", "Malasia", "Mozambique", "Namibia", "Nueva Caledonia", "Niger", "Islas Norfolk", "Nigeria", 
                                                "Nicaragua", "Holanda", "Noruega", "Nepal", "Nauru", "Niue", "Nueva Zelanda", "Om\x00e1n", "Panam\x00e1", "Per\x00fa", "Polinesia Francesa", "Nueva Guinea", "Filipinas", "Pakist\x00e1n", "Polonia", "Saint Pierre y Miquelon", 
                                                "Pitcairn", "Puerto Rico", "Palestina", "Portugal", "Palau", "Paraguay", "Qatar", "Reuni\x00f3n", "Rumania","Serbia", "Rusia", "Ruanda", "Arabia Saudita", "Islas Salom\x00f3n", "Seychelles", "Sudan", "Suecia", 
                                                "Singapur", "Santa Helena", "Eslovenia", "Archipi\x00e9lago Svalbard", "Eslovaquia", "Sierra Leona", "San Marino", "Senegal", "Somalia", "Surinam", "Santo Tome y Pr\x00edncipe", "Montenegro", "El Salvador", "Siria", "Suazilandia", "Islas Turks y Caicos", "Chad", 
                                                "Territorios Franceses del Sur", "Togo", "Tailandia", "Tajikist\x00e1n", "Tokelau", "Turkmenist\x00e1n", "T\x00fanez", "Tonga", "Timor Oriental", "Turqu\x00eda", "Trinidad y Tobago", "Tuvalu (Televisin)", "Taiwan", "Tanzania", "Ucrania", "Uganda", 
                                                "Islas Minor Outlying", "Estados Unidos", "Uruguay", "Uzbekist\x00e1n", "Vaticano", "San Vicente y las Granadinas", "Venezuela", "Islas V\x00edrgenes Brit\x00e1nicas", "Islas V\x00edrgenes de EE.UU.", "Vietnam", "Vanuatu", "Wallis y Futuna", "Samoa", "Yemen", "Mayotte", "Yugoslavia", 
                                                "Sur\x00e1frica", "Zambia", "Zaire", "Zimbabue", "Proxy An\x00f3nimo", "Proveedor Satelital", Others.Empty, Others.Empty, Others.Empty, "Reino Unido", "Isla Ascensi\x00f3n", "Guernesey", "Isla de Man", "Jersey"
                                            } ;

            GenericCodes= new string[]{"aero","biz","com","coop","info","museum","name","net","org","pro","gov","edu","mil","int"};

            GenericNames=new string[]{"Aerolneas","Negocios","Empresas","Cooperativas","Informacin","Museos","Nombres","Redes","Organizaciones","Profesionales","Gobiernos","Instituciones Educativas","Instituciones Militares","Organismos Internacionales"};
        }
    }
}

